Get Lease Transfer by ID
https://api.propexo.com/v1/lease-transfers/:lease_transfer_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the lease transfer
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
50The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
50The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI
nullThe external ID of the resident from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
90The external ID of the next lease from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
50The external ID of the property associated with the next lease from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
50The external ID of the previous lease from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
49The external ID of the property associated with the previous lease from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
49The external ID of the next unit from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
113The external ID of the previous unit from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
112The normalized type of the resident
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
PRIMARYThe raw type of the resident
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
mainThe normalized status of the next lease
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
ACTIVEThe raw status of the next lease
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
activeThe normalized status of the previous lease
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
ACTIVEThe raw status of the previous lease
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
activeThe effective date of the lease transfer
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
2024-07-01T00:00:00.000ZThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_RESTYARDIThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the resident
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
test_integration:12:90The Propexo unique identifier for the next lease
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
test_integration:12:50The Propexo unique identifier for the previous lease
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
test_integration:12:49The Propexo unique identifier for the next unit
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
test_integration:12:101The Propexo unique identifier for the previous unit
| Interface | Method |
|---|---|
| Common Data | GetUnitTransferData_DateRange |
test_integration:12:100Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/lease-transfers/:lease_transfer_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "50",
"x_property_id": "50",
"x_location_id": null,
"x_resident_id": "90",
"x_lease_id_next": "50",
"x_lease_property_id_next": "50",
"x_lease_id_previous": "49",
"x_lease_property_id_previous": "49",
"x_unit_id_next": "113",
"x_unit_id_previous": "112",
"resident_type": "PRIMARY",
"resident_type_raw": "main",
"lease_status_next": "ACTIVE",
"lease_status_next_raw": "active",
"lease_status_previous": "ACTIVE",
"lease_status_previous_raw": "active",
"transfer_effective_date": "2024-07-01T00:00:00.000Z",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"resident_id": "test_integration:12:90",
"lease_id_next": "test_integration:12:50",
"lease_id_previous": "test_integration:12:49",
"unit_id_next": "test_integration:12:101",
"unit_id_previous": "test_integration:12:100"
}
}